## XfwWorkspaceManager

XfwWorkspaceManager — An object that manages the workspace groups

## Stability Level

Unstable, unless otherwise indicated

## Functions

GList * | xfw_workspace_manager_list_workspace_groups ()
GList * | xfw_workspace_manager_list_workspaces ()

## Properties

GdkScreen * | screen | Read / Write / Construct Only

## Signals

void | workspace-created | Run Last
void | workspace-destroyed | Run Last
void | workspace-group-created | Run Last
void | workspace-group-destroyed | Run Last

## Types and Values

| XfwWorkspaceManager
typedef | XfwWorkspaceManagerIface

## Object Hierarchy

        GInterface
        ╰── XfwWorkspaceManager

## Prerequisites

XfwWorkspaceManager requires GObject.

## Includes

    #include <libxfce4windowing/libxfce4windowing.h>

## Description

XfwWorkspaceManager is used to enumerate and perform actions on the workspace groups present on the parent XfwScreen.

Note that XfwWorkspaceManager is actually an interface; when obtaining an instance, an instance of a windowing-environment-specific object that implements this interface will be returned.

## Functions

### xfw_workspace_manager_list_workspace_groups ()

    GList *
    xfw_workspace_manager_list_workspace_groups
                                   (XfwWorkspaceManager *manager);

Lists all workspace groups known to the workspace manager.

#### Parameters

manager | an XfwWorkspaceManager. |

#### Returns

the list of XfwWorkspaceGroup managed by `manager` , or `NULL` if there are no workspace groups. The list and its contents are owned by `manager` .

[nullable][element-type XfwWorkspaceGroup][transfer none]

### xfw_workspace_manager_list_workspaces ()

    GList *
    xfw_workspace_manager_list_workspaces (XfwWorkspaceManager *manager);

List all workspaces known to the workspace manager.

#### Parameters

manager | an XfwWorkspaceManager. |

#### Returns

the list of XfwWorkspace managed by `manager` , or `NULL` if there are no workspaces. The list and its contents are owned by `manager` .

[nullable][element-type XfwWorkspace][transfer none]

## Types and Values

### XfwWorkspaceManager

    typedef struct _XfwWorkspaceManager XfwWorkspaceManager;

### XfwWorkspaceManagerIface

    typedef struct _XfwWorkspaceManagerInterface XfwWorkspaceManagerIface;

## Property Details

### The `“screen”` property

      “screen”                   GdkScreen *

The GdkScreen instance used to construct the XfwScreen that owns this workspace manager.

Owner: XfwWorkspaceManager

Flags: Read / Write / Construct Only

## Signal Details

### The `“workspace-created”` signal

    void
    user_function (XfwWorkspaceManager *manager,
                   XfwWorkspace        *workspace,
                   gpointer             user_data)

Emitted when a new workspace is created.

#### Parameters

manager | the object which received the signal. |
workspace | the newly-created workspace. | [not nullable]
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“workspace-destroyed”` signal

    void
    user_function (XfwWorkspaceManager *group,
                   XfwWorkspace        *workspace,
                   gpointer             user_data)

Emitted when a workspace is destroyed.

#### Parameters

group | the object which received the signal. |
workspace | the workspace that was destroyed. | [not nullable]
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“workspace-group-created”` signal

    void
    user_function (XfwWorkspaceManager *manager,
                   XfwWorkspaceGroup   *group,
                   gpointer             user_data)

Emitted when a new workspace group is craeted.

#### Parameters

manager | the object which received the signal. |
group | the newly-created XfwWorkspaceGroup. | [not nullable]
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“workspace-group-destroyed”` signal

    void
    user_function (XfwWorkspaceManager *manager,
                   XfwWorkspaceGroup   *group,
                   gpointer             user_data)

Emitted when a workspace group is destroyed.

#### Parameters

manager | the object which received the signal. |
group | the recently-destroyed XfwWorkspaceGroup. | [not nullable]
user_data | user data set when the signal handler was connected. |

Flags: Run Last